Eclipse GEF 3.2

## org.eclipse.gef
Class SharedImages

    java.lang.Object
      org.eclipse.gef.SharedImages

public class SharedImages
extends Object

A class containing shared Images and ImageDescriptors for use by clients.

Since:
  2.1

Field Summary
`static ImageDescriptor` `DESC_MARQUEE_TOOL_16` A 16x16 Icon representing the Marquee Tool
`static ImageDescriptor` `DESC_MARQUEE_TOOL_24` A 24x24 Icon representing the Marquee Tool
`static ImageDescriptor` `DESC_SELECTION_TOOL_16` A 16x16 Icon representing the Selection Tool
`static ImageDescriptor` `DESC_SELECTION_TOOL_24` A 24x24 Icon representing the Selection Tool

Constructor Summary
`SharedImages()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESC_SELECTION_TOOL_16

    public static final ImageDescriptor DESC_SELECTION_TOOL_16

  A 16x16 Icon representing the Selection Tool

### DESC_SELECTION_TOOL_24

    public static final ImageDescriptor DESC_SELECTION_TOOL_24

  A 24x24 Icon representing the Selection Tool

### DESC_MARQUEE_TOOL_16

    public static final ImageDescriptor DESC_MARQUEE_TOOL_16

  A 16x16 Icon representing the Marquee Tool

### DESC_MARQUEE_TOOL_24

    public static final ImageDescriptor DESC_MARQUEE_TOOL_24

  A 24x24 Icon representing the Marquee Tool

Constructor Detail

### SharedImages

    public SharedImages()

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.